// banco.h - clase CBanco
#if !defined( _BANCO_H_ )
#define _BANCO_H_

#include <iostream>
#include <string>
#include <vector>
#include "cuenta.h"
using namespace std;

class CBanco
{
  // Atributos
  private:
    vector<CCuenta *> cuentas; // matriz de objetos

  // Atributos
  public:
    CBanco();
    ~CBanco();
    CBanco(const CBanco&);            // constructor copia
    CBanco& operator=(const CBanco&); // operador de asignación
    CCuenta *operator[](unsigned int i);
    void anyadir(CCuenta *obj);
    bool eliminar(string cuenta);
    int buscar(string str, int pos);
    size_t longitud();
};

#endif // _BANCO_H_ 
